## pslist 1.3

=== Makefile ===
# Copyright (c) 2000, 2005, 2009  Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Ringlet: Makefile 3631 2009-05-25 10:24:32Z roam $

# install recipe
INSTALL		?= install
INSTALL_COPY	?= -c
INSTALL_OWN	?= -o root
INSTALL_MODE_S	?= -m 555
INSTALL_MODE_D	?= -m 644
INSTALL_SCRIPT	?= ${INSTALL} ${INSTALL_COPY} ${INSTALL_OWN} ${INSTALL_MODE_S}
INSTALL_DATA	?= ${INSTALL} ${INSTALL_COPY} ${INSTALL_OWN} ${INSTALL_MODE_D}

# where to install
PREFIX		?= /usr/local
BINDIR		?= ${PREFIX}/bin
MANDIR		?= ${PREFIX}/man/man
MAN1DIR		?= ${MANDIR}1

# some other useful programs
ECHO		?= echo
FALSE		?= false
GZIP		?= gzip -c9
LN		?= ln
MKDIR		?= mkdir -p
RM		?= rm -f

PROG		= pslist
RKILL		= rkill
RRENICE		= rrenice
MAN1		= ${PROG}.1
MAN1GZ		= ${PROG}.1.gz

all:	${MAN1GZ}

install:
	${MKDIR} ${DESTDIR}${BINDIR}
	${INSTALL_SCRIPT} ${PROG} ${DESTDIR}${BINDIR}
	${LN} -s ${PROG} ${DESTDIR}${BINDIR}/${RKILL}
	${LN} -s ${PROG} ${DESTDIR}${BINDIR}/${RRENICE}
	${MKDIR} ${DESTDIR}${MAN1DIR}
	${INSTALL_DATA} ${MAN1GZ} ${DESTDIR}${MAN1DIR}
	${LN} -s ${MAN1GZ} ${DESTDIR}${MAN1DIR}/${RKILL}.1.gz
	${LN} -s ${MAN1GZ} ${DESTDIR}${MAN1DIR}/${RRENICE}.1.gz

${MAN1GZ}:	${MAN1}
	${GZIP} ${GZIP_ARGS} ${MAN1} > ${MAN1GZ} || (${RM} ${MAN1GZ}; ${FALSE})

clean:
	${RM} ${MAN1GZ}

=== debian/changelog ===
pslist (1.3-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.0 with no changes.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Update the copyright file to the latest revision of the DEP 5 format
    and bump the year on my debian/* copyright notice.
  * Shorten the Vcs-Browser URL.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 29 Jun 2010 00:01:53 +0300

pslist (1.3-1) unstable; urgency=low

  * Initial Release.  Closes: #530539

 -- Peter Pentchev <roam@ringlet.net>  Wed, 17 Jun 2009 12:17:00 +0300

=== debian/control ===
Source: pslist
Section: misc
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.0
Homepage: http://devel.ringlet.net/sysutils/pslist/
Vcs-Svn: http://svn.ringlet.net/svn/ringlet/sysutils/pslist/trunk/pslist-pkg/debian/
Vcs-Browser: http://svn.ringlet.net/v/ringlet/sysutils/pslist/trunk/pslist-pkg/debian/

Package: pslist
Architecture: any
Depends: ${perl:Depends}, ${misc:Depends}
Description: utility that controls a process and its descendants
 pslist is a simple utility to list the process IDs (PIDs) of a process and
 all its children, and its children's children, and so on.  If invoked with
 a command name which ends in 'kill', it sends a signal to a selected group
 of processes.  If invoked with a command name which ends in 'renice',
 it sets the nice level of the selected group of processes.

=== debian/watch ===
version=3
opts="uversionmangle=s/pre/~/" \
http://devel.ringlet.net/sysutils/pslist/ pslist-([\w.]+)\.tar\.gz

## pslist 1.3.1

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,6 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
-#
-# $Ringlet: Makefile 3631 2009-05-25 10:24:32Z roam $
 
 # install recipe
 INSTALL		?= install

=== debian/changelog ===
pslist (1.3.1-2) unstable; urgency=medium

  * Switch the watch file back to pgpsigurlmangle, since pgpmode=auto may
    silently ignore a missing upstream signature.
  * Use the v4 substitution variables in the watch file.
  * Bump the debhelper compatibility level to 10 with no changes.
  * Switch various upstream and Debian URLs to the HTTPS scheme.
  * Make the binary package architecture-independent.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 23 Nov 2016 23:56:59 +0200

pslist (1.3.1-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8:
    - update the copyright file to the 1.0 format
    - point the Vcs-Git and Vcs-Browser source control fields to
      the full-source GitLab repository and use the HTTPS scheme
    - drop the DM-Upload-Allowed source control field
  * Update the copyright file a bit more:
    - merge the upstream copyright information into a single clause
    - rename the "BSD-2" license to "BSD-2-clause"
    - bump the year on my debian/* copyright notice
  * Bump the debhelper compatibility level to 9 with no changes.
  * Update the watch file:
    - update it to version 4
    - drop the uversionmangle definition, there are no pre-releases at
      all listed on the pslist download page
    - use pgpmode=auto to let uscan find the PGP signature and add
      the upstream PGP key to check against
    - let it search the new /files/sys/pslist/ upstream location, too
    - let it look for *.tar.xz and *.tar.bz2, too
  * Add Multi-Arch: foreign to the binary package.
  * Add an upstream metadata file.
  * New upstream release, update the upstream copyright years.
  * Add an autopkgtest suite using the upstream test-pslist script.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 21 Apr 2016 15:40:31 +0300

=== debian/control ===
Source: pslist
Section: misc
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: https://devel.ringlet.net/sysutils/pslist/
Vcs-Git: https://gitlab.com/pslist/pslist.git -b debian
Vcs-Browser: https://gitlab.com/pslist/pslist/tree/debian
Testsuite: autopkgtest

Package: pslist
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends}, ${misc:Depends}
Description: utility that controls a process and its descendants
 pslist is a simple utility to list the process IDs (PIDs) of a process and
 all its children, and its children's children, and so on.  If invoked with
 a command name which ends in 'kill', it sends a signal to a selected group
 of processes.  If invoked with a command name which ends in 'renice',
 it sets the nice level of the selected group of processes.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export MANDIR=/usr/share/man/man

%:
	dh $@

=== debian/tests/control ===
Tests: test-pslist
Depends: @

## pslist 1.4.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2000, 2005, 2009  Peter Pentchev
+# Copyright (c) 2000, 2005, 2009, 2018  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -68,3 +68,6 @@
 
 clean:
 	${RM} ${MAN1GZ}
+
+test:	all
+	prove t

=== debian/changelog ===
pslist (1.4.0-6) unstable; urgency=medium

  * Fix FTBFS with debhelper 13.17 and later: we override dh_auto_install,
    so it is on us to pass --destdir now.
  * Apply debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Aug 2024 12:19:55 +0300

pslist (1.4.0-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Bump the debhelper compat level to 14 and let debhelper add some
    default dependencies automatically.
  * Use dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.

 -- Peter Pentchev <roam@debian.org>  Wed, 03 Jul 2024 21:22:34 +0300

pslist (1.4.0-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.1 with no changes.
  * Add the years 2021 and 2022 to my debian/* copyright notice.
  * Explicitly declare dh-sequence-single-binary.

 -- Peter Pentchev <roam@debian.org>  Mon, 12 Sep 2022 13:28:27 +0300

pslist (1.4.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Use the test-name autopkgtest feature.
  * Mark the feature-check autopkgtest as superficial.
  * Drop the Name and Contact upstream metadata fields.
  * Bump the debhelper compat level to 13 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 07 May 2020 10:08:05 +0300

pslist (1.4.0-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0: install the upstream
    release notes (CHANGES) as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Add a trivial autopkgtest running feature-check.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Add a git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 09 Jan 2019 00:18:09 +0200

pslist (1.4.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4 and drop the implied
    "Testsuite: autopkgtest" source control field.
  * Bump the year on my debian/* copyright notice.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Bump the debhelper compatibility level to 11 with no changes and
    use the B-D: debhelper-compat (= 11) mechanism.
  * Use my Debian e-mail address.
  * Add a trivial autopkgtest running adequate on the installed package.
  * New upstream release:
    - add feature-check, libtest-command-perl, and procps as build and
      test dependencies
    - run the autopkgtest using the Perl test harness
    - update the upstream copyright years

 -- Peter Pentchev <roam@debian.org>  Wed, 16 May 2018 23:56:34 +0300

=== debian/control ===
Source: pslist
Section: misc
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 feature-check,
 libtest-command-perl,
 procps,
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/sysutils/pslist/
Vcs-Git: https://gitlab.com/pslist/pslist.git -b debian
Vcs-Browser: https://gitlab.com/pslist/pslist/tree/debian
X-Style: black

Package: pslist
Architecture: all
Multi-Arch: foreign
Description: utility that controls a process and its descendants
 pslist is a simple utility to list the process IDs (PIDs) of a process and
 all its children, and its children's children, and so on.  If invoked with
 a command name which ends in 'kill', it sends a signal to a selected group
 of processes.  If invoked with a command name which ends in 'renice',
 it sets the nice level of the selected group of processes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export PREFIX=/usr
export MANDIR=/usr/share/man/man

override_dh_auto_install:
	dh_auto_install --destdir '${CURDIR}/debian/pslist' -- \
		INSTALL_SCRIPT='install -m 755' \
		INSTALL_DATA='install -m 644'

override_dh_installchangelogs:
	dh_installchangelogs -X CHANGES
	install -m 644 CHANGES debian/pslist/usr/share/doc/pslist/NEWS

%:
	dh $@

=== debian/tests/control ===
Test-Command: env TEST_PROG=/usr/bin/pslist prove -v t
Depends:
 feature-check,
 libtest-command-perl,
 perl,
 procps,
 @,
Features:
 test-name=upstream,

Test-Command: feature-check pslist pslist
Depends:
 feature-check,
 @,
Features:
 test-name=feature-check,
Restrictions:
 superficial,
